# $Revision: 1.12 $, $Date: 2004/08/30 00:00:41 $

%define		_splash		KDEGirl

Summary:	KDE splash screen
Summary(pl):	Ekran startowy KDE
Name:		kde-splash-%{_splash}
Version:	03
Release:	7
License:	GPL
Group:		X11/Amusements
#Source0:	http://www.kde-look.org/content/download.php?content=1706
Source0:	%{_splash}-%{version}.zip
# Source0-md5:	c773e8219631b496aba14ae3ddba8658
URL:		http://www.kde-look.org/content/show.php?content=1706
BuildRequires:	unzip
Provides:	kde-splash
Requires:	kdebase-core
Obsoletes:	kde-splash
Obsoletes:	kde-splash-default
Obsoletes:	kde-splash-keramik
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"KDE Girl" KDE splash screen.

%description -l pl
Ekran startowy KDE "KDE Girl".

%package -n kde-sdscreen-%{_splash}
Summary:	KDE "Logout" picture
Summary(pl):	Obrazek okna "Wyloguj" KDE
Group:		X11/Amusements
Provides:	kde-sdscreen
Requires:	kdebase-core
Obsoletes:	kde-sdscreen
Obsoletes:	kde-sdscreen-default

%description -n kde-sdscreen-%{_splash}
"KDE Girl" KDE "Logout" picture.

%description -n kde-sdscreen-%{_splash} -l pl
Obrazek "KDE Girl" okna "Wyloguj" KDE.

%prep
%setup  -q -c -T
unzip %{SOURCE0}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics
install -d $RPM_BUILD_ROOT%{_datadir}/apps/ksmserver/pics
install * $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics

mv $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/pics/shutdownkonq.png \
	$RPM_BUILD_ROOT%{_datadir}/apps/ksmserver/pics

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/apps/ksplash/*

%files -n kde-sdscreen-%{_splash}
%defattr(644,root,root,755)
%{_datadir}/apps/ksmserver/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde-splash-KDEGirl.spec,v $
Revision 1.12  2004/08/30 00:00:41  havner
- changed R:
- rel 7

Revision 1.11  2004/08/18 22:13:49  undefine
- release 6

Revision 1.10  2004/08/18 22:10:02  undefine
- release 5

Revision 1.9  2003/08/20 15:33:33  qboosh
- no // in paths, other cosmetics

Revision 1.8  2003/06/11 16:13:57  ankry
- added md5

Revision 1.7  2003/05/25 05:49:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/01/18 22:52:00  juandon
- removed two lines with define

Revision 1.5  2002/12/23 17:27:19  adgor
- Requires kdebase >= 3.0.3

Revision 1.4  2002/09/09 19:07:13  qboosh
- Obsoletes for other kde-{splash,sdscreen} packages; release 4

Revision 1.3  2002/09/06 22:53:01  adgor
- Corrected descriptions
- Release 3

Revision 1.2  2002/08/18 10:03:22  adgor
- BR unzip
- Moved shutdownkonq.png to kde-sdscreen-%{_splash} subpackage
  (shall we modify kdebase.spec to separate one more subpackage? :))
- Release 2

Revision 1.1  2002/08/18 01:56:25  adgor
- Initial release
